URL structure
{orgGroupId} is the ID of an organization.
Supported methods and overview
GET- used to retrieve a summary of information about storage requirements and usage for an organization (specified byorgGroupId).
This method takes no parameters.
Detailed description
This API endpoint retrieves a summary of information about storage requirements and usage for an organization (specified byorgGroupId).
The storage requirement information provided consists of the amount of:
- Storage space (in mebibytes/MiB) currently allocated to this organization.
- Storage space required for Covata users (also in MiB), which is based on the sum of all quotas associated with all users in this organization who have the Originator role.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Organization Administrator’s Guide):- Organization administrator - when this user is a member of the organization whose ID is specified by
{orgGroupId}in the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
organisationQuota - The amount of storage space (in MiB) currently allocated to the organization (specified by
{orgGroupId}in the request’s URL). -
objectStorageRequired - The amount of storage space required for Covata users (also in MiB), which is based on the sum of all quotas associated with all users in the organization (specified by
orgGroupId) who have the Originator role. -
objectStorageUsed - The amount of storage space (in bytes) currently consumed by Covata users (i.e. with the Originator role) in the organization (specified by
orgGroupId).
Example (response):

